# Router2.h File Reference

Router2 plugin. Allows you to connect to a system by routing packets through another system that is connected to both you and the destination. Useful for getting around NATs. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "PluginInterface2.h"`
`#include "PacketPriority.h"`
`#include "Export.h"`
`#include "UDPForwarder.h"`
`#include "MessageIdentifiers.h"`

## Classes
class | RakNet::Router2
| Class interface for the Router2 system. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Detailed Description

Router2 plugin. Allows you to connect to a system by routing packets through another system that is connected to both you and the destination. Useful for getting around NATs.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.